org.jfree.chart.axis

## Class PeriodAxisLabelInfo

- java.lang.Object
- - org.jfree.chart.axis.PeriodAxisLabelInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class PeriodAxisLabelInfo
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  A record that contains information for one "band" of date labels in a `PeriodAxis`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Paint` | `DEFAULT_DIVIDER_PAINT` The default divider paint.
    `static java.awt.Stroke` | `DEFAULT_DIVIDER_STROKE` The default divider stroke.
    `static java.awt.Font` | `DEFAULT_FONT` The default font.
    `static RectangleInsets` | `DEFAULT_INSETS` The default insets.
    `static java.awt.Paint` | `DEFAULT_LABEL_PAINT` The default label paint.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodAxisLabelInfo(java.lang.Class periodClass, java.text.DateFormat dateFormat)` Creates a new instance.
    `PeriodAxisLabelInfo(java.lang.Class periodClass, java.text.DateFormat dateFormat, RectangleInsets padding, java.awt.Font labelFont, java.awt.Paint labelPaint, boolean drawDividers, java.awt.Stroke dividerStroke, java.awt.Paint dividerPaint)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a clone of the object.
    `RegularTimePeriod` | `createInstance(java.util.Date millisecond, java.util.TimeZone zone)` Deprecated. As of 1.0.13, use the method that specifies the locale also.
    `RegularTimePeriod` | `createInstance(java.util.Date millisecond, java.util.TimeZone zone, java.util.Locale locale)` Creates a time period that includes the specified millisecond, assuming the given time zone.
    `boolean` | `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
    `java.text.DateFormat` | `getDateFormat()` Returns a copy of the date formatter.
    `java.awt.Paint` | `getDividerPaint()` Returns the paint used to draw the dividers.
    `java.awt.Stroke` | `getDividerStroke()` Returns the stroke used to draw the dividers.
    `boolean` | `getDrawDividers()` Returns a flag that controls whether or not dividers are drawn.
    `java.awt.Font` | `getLabelFont()` Returns the label font.
    `java.awt.Paint` | `getLabelPaint()` Returns the label paint.
    `RectangleInsets` | `getPadding()` Returns the padding for the band.
    `java.lang.Class` | `getPeriodClass()` Returns the subclass of `RegularTimePeriod` that should be used to generate the date labels.
    `int` | `hashCode()` Returns a hash code for this object.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INSETS

          public static final RectangleInsets DEFAULT_INSETS

      The default insets.

    - #### DEFAULT_FONT

          public static final java.awt.Font DEFAULT_FONT

      The default font.

    - #### DEFAULT_LABEL_PAINT

          public static final java.awt.Paint DEFAULT_LABEL_PAINT

      The default label paint.

    - #### DEFAULT_DIVIDER_STROKE

          public static final java.awt.Stroke DEFAULT_DIVIDER_STROKE

      The default divider stroke.

    - #### DEFAULT_DIVIDER_PAINT

          public static final java.awt.Paint DEFAULT_DIVIDER_PAINT

      The default divider paint.

  - ### Constructor Detail

    - #### PeriodAxisLabelInfo

          public PeriodAxisLabelInfo(java.lang.Class periodClass,
                                     java.text.DateFormat dateFormat)

      Creates a new instance.
      Parameters:
        `periodClass` - the subclass of `RegularTimePeriod` to use (`null` not permitted).
        `dateFormat` - the date format (`null` not permitted).

    - #### PeriodAxisLabelInfo

          public PeriodAxisLabelInfo(java.lang.Class periodClass,
                                     java.text.DateFormat dateFormat,
                                     RectangleInsets padding,
                                     java.awt.Font labelFont,
                                     java.awt.Paint labelPaint,
                                     boolean drawDividers,
                                     java.awt.Stroke dividerStroke,
                                     java.awt.Paint dividerPaint)

      Creates a new instance.
      Parameters:
        `periodClass` - the subclass of `RegularTimePeriod` to use (`null` not permitted).
        `dateFormat` - the date format (`null` not permitted).
        `padding` - controls the space around the band (`null` not permitted).
        `labelFont` - the label font (`null` not permitted).
        `labelPaint` - the label paint (`null` not permitted).
        `drawDividers` - a flag that controls whether dividers are drawn.
        `dividerStroke` - the stroke used to draw the dividers (`null` not permitted).
        `dividerPaint` - the paint used to draw the dividers (`null` not permitted).

  - ### Method Detail

    - #### getPeriodClass

          public java.lang.Class getPeriodClass()

      Returns the subclass of `RegularTimePeriod` that should be used to generate the date labels.
      Returns:
        The class.

    - #### getDateFormat

          public java.text.DateFormat getDateFormat()

      Returns a copy of the date formatter.
      Returns:
        A copy of the date formatter (never `null`).

    - #### getPadding

          public RectangleInsets getPadding()

      Returns the padding for the band.
      Returns:
        The padding.

    - #### getLabelFont

          public java.awt.Font getLabelFont()

      Returns the label font.
      Returns:
        The label font (never `null`).

    - #### getLabelPaint

          public java.awt.Paint getLabelPaint()

      Returns the label paint.
      Returns:
        The label paint.

    - #### getDrawDividers

          public boolean getDrawDividers()

      Returns a flag that controls whether or not dividers are drawn.
      Returns:
        A flag.

    - #### getDividerStroke

          public java.awt.Stroke getDividerStroke()

      Returns the stroke used to draw the dividers.
      Returns:
        The stroke.

    - #### getDividerPaint

          public java.awt.Paint getDividerPaint()

      Returns the paint used to draw the dividers.
      Returns:
        The paint.

    - #### createInstance

          public RegularTimePeriod createInstance(java.util.Date millisecond,
                                                  java.util.TimeZone zone)

      Deprecated. As of 1.0.13, use the method that specifies the locale also.
      Creates a time period that includes the specified millisecond, assuming the given time zone.
      Parameters:
        `millisecond` - the time.
        `zone` - the time zone.
      Returns:
        The time period.

    - #### createInstance

          public RegularTimePeriod createInstance(java.util.Date millisecond,
                                                  java.util.TimeZone zone,
                                                  java.util.Locale locale)

      Creates a time period that includes the specified millisecond, assuming the given time zone.
      Parameters:
        `millisecond` - the time.
        `zone` - the time zone.
        `locale` - the locale.
      Returns:
        The time period.
      Since:
        1.0.13.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this object for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object to test against (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash code.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of the object.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - if cloning is not supported.